diff --git a/src/backend/commands/copy.c b/src/backend/commands/copy.c
index 6dda559300..71a4fa8ebe 100644
--- a/src/backend/commands/copy.c
+++ b/src/backend/commands/copy.c
@@ -2714,11 +2714,7 @@ CopyFrom(CopyState cstate)
 				/*
 				 * When performing bulk-inserts into partitioned tables we
 				 * must insert the tuples seen so far to the heap whenever the
-				 * partition changes.  This might seem wasteful in cases where
-				 * the partition changes on each tuple, but in cases where
-				 * we're bulk loading into a single partition or the data
-				 * being loaded is ordered in partition order then performance
-				 * gains can easily be seen.
+				 * partition changes.
 				 */
 				if (nBufferedTuples > 0)
 				{
@@ -2787,12 +2783,12 @@ CopyFrom(CopyState cstate)
 
 					/*
 					 * Here we adaptively enable multi-inserts based on the
-					 * average number of tuples per recent multi-insert batch.
-					 * We recalculate the average every
-					 * RECHECK_MULTI_INSERT_THRESHOLD instead of taking the
-					 * average over the whole copy.  This allows us to enable
-					 * multi-inserts when we get periods in the copy stream
-					 * that have tuples commonly belonging to the same
+					 * average number of tuples from recent multi-insert
+					 * batches.  We recalculate the average every
+					 * RECHECK_MULTI_INSERT_THRESHOLD tuples instead of taking
+					 * the average over the whole copy.  This allows us to
+					 * enable multi-inserts when we get periods in the copy
+					 * stream that have tuples commonly belonging to the same
 					 * partition, and disable when the partition is changing
 					 * too often.
 					 */
@@ -2829,8 +2825,6 @@ CopyFrom(CopyState cstate)
 				ReleaseBulkInsertStatePin(bistate);
 				prev_leaf_part_index = leaf_part_index;
 			}
-			else
-				resultRelInfo = proute->partitions[leaf_part_index];
 
 			/*
 			 * For ExecInsertIndexTuples() to work on the partition's indexes
